longtqdayma

longtqdayma

Member Since 9 years ago

Zircon, VIETNAM

Experience Points
0
follower
Lessons Completed
0
follow
Lessons Completed
6
stars
Best Reply Awards
11
repos

7 contributions in the last year

Pinned
⚡ Automatically exported from code.google.com/p/android-smspopup
⚡ Clone of android-smspopup with features that I want
⚡ One framework. Mobile & desktop.
Activity
Nov
28
3 days ago
Activity icon
issue

longtqdayma issue comment BugiDev/react-native-calendar-strip

longtqdayma
longtqdayma

setSelectedDate is not working

Hi, I'm getting an issue when scrolling to the selected date The date is selected when I manually scroll to the section. But it does not scroll automatically on date changes.

I have tried with setSelectedDate but not working for me.

"react-native": "0.63.4", "react-native-calendar-strip": "^2.2.5",

I have created a custom component. The updated date will be passed via props.

const CustomStripCalender = ({
  value,
  onDateChange,
}: {
  value?: any;
  onDateChange?: (value: any) => void;
}) => {
  const [currentDate, setCurrentDate] = useState(moment());
  const calenderRef = useRef(null);
  const handleOnDateSelect = (date) => {
    setCurrentDate(date);
    if (onDateChange) {
      onDateChange(date);
    }
  };
  useEffect(() => {
    if (moment(value).isValid()) {
      const _value = moment(value);
      setCurrentDate(_value);

      if (calenderRef?.current) {
        calenderRef?.current?.setSelectedDate(_value);
      }
    }
  }, [value]);
  return (
    <>
      <View style={styles.dateContainer}>
        <Text style={styles.title}>
          {moment(currentDate).format('DD MMMM,YYYY')}
        </Text>
        <CalendarStrip
          ref={calenderRef}
          scrollable={true}
          selectedDate={currentDate}
          scrollToOnSetSelectedDate={true}
          maxDate={moment()}
          onDateSelected={handleOnDateSelect}
          iconLeftStyle={styles.arrow}
          iconRightStyle={styles.arrow}
          dateNameStyle={styles.dateName}
          dateNumberStyle={styles.dateNumber}
          calendarHeaderStyle={styles.header}
          style={styles.calenderStripContainer}
          highlightDateNameStyle={styles.highlight}
          highlightDateNumberStyle={styles.highlight}
          highlightDateContainerStyle={styles.highlightContainer}
        />
      </View>
    </>
  );
};

How to resolve this issue?.

Thanks for the awesome library.

longtqdayma
longtqdayma

scrollable={true} it working

<CalendarStrip scrollable={true}

Oct
17
1 month ago
Activity icon
issue

longtqdayma issue comment OneSignal/react-native-onesignal

longtqdayma
longtqdayma

Can't find variable: OneSignal @ index.js

Hello everyone! I did everything as is explained at OneSignal React Native SDK, im using expo bare workflow. but after compile successful im getting this error: Can't find variable: OneSignal

Error comes from file index.js

[Sat Oct 16 2021 22:37:10.460] BUNDLE ./index.js [Sat Oct 16 2021 22:37:13.690] LOG Running "main" with {"rootTag":1,"initialProps":{}} [Sat Oct 16 2021 22:37:13.710] ERROR ReferenceError: Can't find variable: OneSignal

I try some stuff but no luck.. I need help please! thanks! Captura de pantalla 2021-10-16 a las 22 31 09

longtqdayma
longtqdayma

I am use App.js import OneSignal from 'react-native-onesignal'; Have you imported to index.js?

` import 'react-native-gesture-handler'; import OneSignal from 'react-native-onesignal'; import {AppRegistry} from 'react-native'; import App from './App'; import {name as appName} from './app.json';

AppRegistry.registerComponent(appName, () => App); `

Activity icon
issue

longtqdayma issue OneSignal/react-native-onesignal

longtqdayma
longtqdayma

WARN `new NativeEventEmitter()` was called with a non-null argument without the required `addListener` method.

I use React native 0.66.1

"react": "17.0.2", "react-native": "0.66.1", "react-native-onesignal": "^4.3.1",

Only on android

WARN new NativeEventEmitter() was called with a non-null argument without the required addListener method. WARN new NativeEventEmitter() was called with a non-null argument without the required removeListeners method.

using v8. Screenshot 2021-10-17 at 10 08 39

`useEffect(() => { //OneSignal Init Code OneSignal.setLogLevel(6, 0); OneSignal.setAppId(Platform.OS === 'android' ? '******' : ''); //END OneSignal Init Code

//Prompt for push on iOS
// OneSignal.promptForPushNotificationsWithUserResponse(response => {
//   console.log('Prompt response:', response);
// });

//Method for handling notifications received while app in foreground
OneSignal.setNotificationWillShowInForegroundHandler(notificationReceivedEvent => {
  console.log('OneSignal: notification will show in foreground:', notificationReceivedEvent);
  let notification = notificationReceivedEvent.getNotification();
  console.log('notification: ', notification);
  const data = notification.additionalData
  console.log('additionalData: ', data);
  notificationReceivedEvent.complete(notification);
});

//Method for handling notifications opened
OneSignal.setNotificationOpenedHandler(notification => {
  console.log('OneSignal: notification opened:', notification);
});


OneSignal.setExternalUserId("Longdv.RN661");

}, []); `

Oct
16
1 month ago
Activity icon
issue

longtqdayma issue react-navigation/react-navigation

longtqdayma
longtqdayma

Execution failed for JetifyTransform: node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar.

Current behavior

I just started the project with RN 0.66 and Drawer Navigator v5, Using Drawer Navigator error. I switched to using Drawer Navigator v6 still same error as version v5 Don't use expo "dependencies": { "@react-native-community/masked-view": "^0.1.11", "@react-navigation/bottom-tabs": "^5.11.15", "@react-navigation/drawer": "^5.12.9", "@react-navigation/native": "^5.9.8", "@react-navigation/stack": "^5.14.9", "react": "17.0.2", "react-native": "0.66.0", "react-native-gesture-handler": "^1.10.3", "react-native-reanimated": "^2.2.2", "react-native-safe-area-context": "^3.3.2", "react-native-screens": "^3.8.0" },

OR update to v6 Same mistake.

"dependencies": { "@react-navigation/bottom-tabs": "^6.0.7", "@react-navigation/drawer": "^6.1.6", "@react-navigation/native": "^6.0.4", "@react-navigation/native-stack": "^6.2.2", "@react-navigation/stack": "^6.0.9", "react": "17.0.2", "react-native": "0.66.0", "react-native-gesture-handler": "^1.10.3", "react-native-reanimated": "^2.2.2" },

Help me. thanks

Error FAILURE: Build failed with an exception.

  • What went wrong: Execution failed for task ':app:checkDebugAarMetadata'.

Could not resolve all files for configuration ':app:debugRuntimeClasspath'. Failed to transform react-native-reanimated-66-jsc.aar (project :react-native-reanimated) to match attributes {artifactType=android-aar-metadata}. > Execution failed for JetifyTransform: E:\3.CODE_ICT\1.CODE_MOBILE\MSmartEVN\node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar. > Transform's input file does not exist: E:\3.CODE_ICT\1.CODE_MOBILE\MSmartEVN\node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar. (See https://issuetracker.google.com/issues/158753935)

Expected behavior

Use React native 0.66 and Drawer Navigator v6

Reproduction

https://github.com/longtqdayma/RN66Navigator-.git

Platform

  • Android
  • iOS
  • Web
  • Windows
  • MacOS

Packages

Environment

package version
@react-navigation/native
@react-navigation/bottom-tabs
@react-navigation/drawer
@react-navigation/material-bottom-tabs
@react-navigation/material-top-tabs
@react-navigation/stack
@react-navigation/native-stack
react-native-safe-area-context
react-native-screens
react-native-gesture-handler
react-native-reanimated
react-native-tab-view
react-native-pager-view
react-native
expo
node
npm or yarn
Activity icon
issue

longtqdayma issue comment react-navigation/react-navigation

longtqdayma
longtqdayma

Execution failed for JetifyTransform: node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar.

Current behavior

I just started the project with RN 0.66 and Drawer Navigator v5, Using Drawer Navigator error. I switched to using Drawer Navigator v6 still same error as version v5 Don't use expo "dependencies": { "@react-native-community/masked-view": "^0.1.11", "@react-navigation/bottom-tabs": "^5.11.15", "@react-navigation/drawer": "^5.12.9", "@react-navigation/native": "^5.9.8", "@react-navigation/stack": "^5.14.9", "react": "17.0.2", "react-native": "0.66.0", "react-native-gesture-handler": "^1.10.3", "react-native-reanimated": "^2.2.2", "react-native-safe-area-context": "^3.3.2", "react-native-screens": "^3.8.0" },

OR update to v6 Same mistake.

"dependencies": { "@react-navigation/bottom-tabs": "^6.0.7", "@react-navigation/drawer": "^6.1.6", "@react-navigation/native": "^6.0.4", "@react-navigation/native-stack": "^6.2.2", "@react-navigation/stack": "^6.0.9", "react": "17.0.2", "react-native": "0.66.0", "react-native-gesture-handler": "^1.10.3", "react-native-reanimated": "^2.2.2" },

Help me. thanks

Error FAILURE: Build failed with an exception.

  • What went wrong: Execution failed for task ':app:checkDebugAarMetadata'.

Could not resolve all files for configuration ':app:debugRuntimeClasspath'. Failed to transform react-native-reanimated-66-jsc.aar (project :react-native-reanimated) to match attributes {artifactType=android-aar-metadata}. > Execution failed for JetifyTransform: E:\3.CODE_ICT\1.CODE_MOBILE\MSmartEVN\node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar. > Transform's input file does not exist: E:\3.CODE_ICT\1.CODE_MOBILE\MSmartEVN\node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar. (See https://issuetracker.google.com/issues/158753935)

Expected behavior

Use React native 0.66 and Drawer Navigator v6

Reproduction

https://github.com/longtqdayma/RN66Navigator-.git

Platform

  • Android
  • iOS
  • Web
  • Windows
  • MacOS

Packages

Environment

package version
@react-navigation/native
@react-navigation/bottom-tabs
@react-navigation/drawer
@react-navigation/material-bottom-tabs
@react-navigation/material-top-tabs
@react-navigation/stack
@react-navigation/native-stack
react-native-safe-area-context
react-native-screens
react-native-gesture-handler
react-native-reanimated
react-native-tab-view
react-native-pager-view
react-native
expo
node
npm or yarn
longtqdayma
longtqdayma

ok thanhs. I did it and it worked

Oct
12
1 month ago
Activity icon
issue

longtqdayma issue comment react-navigation/react-navigation

longtqdayma
longtqdayma

Execution failed for JetifyTransform: node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar.

Current behavior

I just started the project with RN 0.66 and Drawer Navigator v5, Using Drawer Navigator error. I switched to using Drawer Navigator v6 still same error as version v5 Don't use expo "dependencies": { "@react-native-community/masked-view": "^0.1.11", "@react-navigation/bottom-tabs": "^5.11.15", "@react-navigation/drawer": "^5.12.9", "@react-navigation/native": "^5.9.8", "@react-navigation/stack": "^5.14.9", "react": "17.0.2", "react-native": "0.66.0", "react-native-gesture-handler": "^1.10.3", "react-native-reanimated": "^2.2.2", "react-native-safe-area-context": "^3.3.2", "react-native-screens": "^3.8.0" },

OR update to v6 Same mistake.

"dependencies": { "@react-navigation/bottom-tabs": "^6.0.7", "@react-navigation/drawer": "^6.1.6", "@react-navigation/native": "^6.0.4", "@react-navigation/native-stack": "^6.2.2", "@react-navigation/stack": "^6.0.9", "react": "17.0.2", "react-native": "0.66.0", "react-native-gesture-handler": "^1.10.3", "react-native-reanimated": "^2.2.2" },

Help me. thanks

Error FAILURE: Build failed with an exception.

  • What went wrong: Execution failed for task ':app:checkDebugAarMetadata'.

Could not resolve all files for configuration ':app:debugRuntimeClasspath'. Failed to transform react-native-reanimated-66-jsc.aar (project :react-native-reanimated) to match attributes {artifactType=android-aar-metadata}. > Execution failed for JetifyTransform: E:\3.CODE_ICT\1.CODE_MOBILE\MSmartEVN\node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar. > Transform's input file does not exist: E:\3.CODE_ICT\1.CODE_MOBILE\MSmartEVN\node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar. (See https://issuetracker.google.com/issues/158753935)

Expected behavior

Use React native 0.66 and Drawer Navigator v6

Reproduction

https://github.com/longtqdayma/RN66Navigator-.git

Platform

  • Android
  • iOS
  • Web
  • Windows
  • MacOS

Packages

Environment

package version
@react-navigation/native
@react-navigation/bottom-tabs
@react-navigation/drawer
@react-navigation/material-bottom-tabs
@react-navigation/material-top-tabs
@react-navigation/stack
@react-navigation/native-stack
react-native-safe-area-context
react-native-screens
react-native-gesture-handler
react-native-reanimated
react-native-tab-view
react-native-pager-view
react-native
expo
node
npm or yarn
longtqdayma
longtqdayma

Does this problem occure on start of the app or after a specific action? Is the linked repo below still up to date ?

remove @react-navigation/drawer": "^6.1.7 it working

Activity icon
issue

longtqdayma issue comment react-navigation/react-navigation

longtqdayma
longtqdayma

Execution failed for JetifyTransform: node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar.

Current behavior

I just started the project with RN 0.66 and Drawer Navigator v5, Using Drawer Navigator error. I switched to using Drawer Navigator v6 still same error as version v5 Don't use expo "dependencies": { "@react-native-community/masked-view": "^0.1.11", "@react-navigation/bottom-tabs": "^5.11.15", "@react-navigation/drawer": "^5.12.9", "@react-navigation/native": "^5.9.8", "@react-navigation/stack": "^5.14.9", "react": "17.0.2", "react-native": "0.66.0", "react-native-gesture-handler": "^1.10.3", "react-native-reanimated": "^2.2.2", "react-native-safe-area-context": "^3.3.2", "react-native-screens": "^3.8.0" },

OR update to v6 Same mistake.

"dependencies": { "@react-navigation/bottom-tabs": "^6.0.7", "@react-navigation/drawer": "^6.1.6", "@react-navigation/native": "^6.0.4", "@react-navigation/native-stack": "^6.2.2", "@react-navigation/stack": "^6.0.9", "react": "17.0.2", "react-native": "0.66.0", "react-native-gesture-handler": "^1.10.3", "react-native-reanimated": "^2.2.2" },

Help me. thanks

Error FAILURE: Build failed with an exception.

  • What went wrong: Execution failed for task ':app:checkDebugAarMetadata'.

Could not resolve all files for configuration ':app:debugRuntimeClasspath'. Failed to transform react-native-reanimated-66-jsc.aar (project :react-native-reanimated) to match attributes {artifactType=android-aar-metadata}. > Execution failed for JetifyTransform: E:\3.CODE_ICT\1.CODE_MOBILE\MSmartEVN\node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar. > Transform's input file does not exist: E:\3.CODE_ICT\1.CODE_MOBILE\MSmartEVN\node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar. (See https://issuetracker.google.com/issues/158753935)

Expected behavior

Use React native 0.66 and Drawer Navigator v6

Reproduction

https://github.com/longtqdayma/RN66Navigator-.git

Platform

  • Android
  • iOS
  • Web
  • Windows
  • MacOS

Packages

Environment

package version
@react-navigation/native
@react-navigation/bottom-tabs
@react-navigation/drawer
@react-navigation/material-bottom-tabs
@react-navigation/material-top-tabs
@react-navigation/stack
@react-navigation/native-stack
react-native-safe-area-context
react-native-screens
react-native-gesture-handler
react-native-reanimated
react-native-tab-view
react-native-pager-view
react-native
expo
node
npm or yarn
longtqdayma
longtqdayma

I am Use npm i [email protected] "dependencies": { "@react-navigation/bottom-tabs": "^6.0.8", "@react-navigation/drawer": "^6.1.7", "@react-navigation/native": "^6.0.5", "@react-navigation/native-stack": "^6.2.3", "@react-navigation/stack": "^6.0.10", "react": "17.0.2", "react-native": "0.66.0", "react-native-gesture-handler": "^1.10.3", "react-native-reanimated": "^2.3.0-beta.2", "react-native-safe-area-context": "^3.3.2", "react-native-screens": "^3.8.0" },

-> Error image

Oct
9
1 month ago
Activity icon
created branch
createdAt 1 month ago
Activity icon
issue

longtqdayma issue comment react-navigation/react-navigation

longtqdayma
longtqdayma

Execution failed for JetifyTransform: node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar.

Current behavior

I just started the project with RN 0.66 and Drawer Navigator v5, Using Drawer Navigator error. I switched to using Drawer Navigator v6 still same error as version v5 Don't use expo "dependencies": { "@react-native-community/masked-view": "^0.1.11", "@react-navigation/bottom-tabs": "^5.11.15", "@react-navigation/drawer": "^5.12.9", "@react-navigation/native": "^5.9.8", "@react-navigation/stack": "^5.14.9", "react": "17.0.2", "react-native": "0.66.0", "react-native-gesture-handler": "^1.10.3", "react-native-reanimated": "^2.2.2", "react-native-safe-area-context": "^3.3.2", "react-native-screens": "^3.8.0" },

OR update to v6 Same mistake.

"dependencies": { "@react-navigation/bottom-tabs": "^6.0.7", "@react-navigation/drawer": "^6.1.6", "@react-navigation/native": "^6.0.4", "@react-navigation/native-stack": "^6.2.2", "@react-navigation/stack": "^6.0.9", "react": "17.0.2", "react-native": "0.66.0", "react-native-gesture-handler": "^1.10.3", "react-native-reanimated": "^2.2.2" },

Help me. thanks

Error FAILURE: Build failed with an exception.

  • What went wrong: Execution failed for task ':app:checkDebugAarMetadata'.

Could not resolve all files for configuration ':app:debugRuntimeClasspath'. Failed to transform react-native-reanimated-66-jsc.aar (project :react-native-reanimated) to match attributes {artifactType=android-aar-metadata}. > Execution failed for JetifyTransform: E:\3.CODE_ICT\1.CODE_MOBILE\MSmartEVN\node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar. > Transform's input file does not exist: E:\3.CODE_ICT\1.CODE_MOBILE\MSmartEVN\node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar. (See https://issuetracker.google.com/issues/158753935)

Expected behavior

Use React native 0.66 and Drawer Navigator v6

Reproduction

https://github.com/longtqdayma/RN66Navigator-.git

Platform

  • Android
  • iOS
  • Web
  • Windows
  • MacOS

Packages

Environment

package version
@react-navigation/native
@react-navigation/bottom-tabs
@react-navigation/drawer
@react-navigation/material-bottom-tabs
@react-navigation/material-top-tabs
@react-navigation/stack
@react-navigation/native-stack
react-native-safe-area-context
react-native-screens
react-native-gesture-handler
react-native-reanimated
react-native-tab-view
react-native-pager-view
react-native
expo
node
npm or yarn
longtqdayma
longtqdayma

Hey! Thanks for opening the issue. The issue doesn't seem to contain a link to a repro (a snack.expo.dev link or link to a GitHub repo under your username).

Can you provide a minimal repro which demonstrates the issue? A repro will help us debug the issue faster. Please try to keep the repro as small as possible and make sure that we can run it without additional setup.

https://github.com/longtqdayma/RN66Navigator-.git

Activity icon
issue

longtqdayma issue react-navigation/react-navigation

longtqdayma
longtqdayma

Execution failed for JetifyTransform: node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar.

Current behavior

I just started the project with RN 0.66 and Drawer Navigator v5, Using Drawer Navigator error. I switched to using Drawer Navigator v6 still same error as version v5

"dependencies": { "@react-native-community/masked-view": "^0.1.11", "@react-navigation/bottom-tabs": "^5.11.15", "@react-navigation/drawer": "^5.12.9", "@react-navigation/native": "^5.9.8", "@react-navigation/stack": "^5.14.9", "react": "17.0.2", "react-native": "0.66.0", "react-native-gesture-handler": "^1.10.3", "react-native-reanimated": "^2.2.2", "react-native-safe-area-context": "^3.3.2", "react-native-screens": "^3.8.0" },

OR update to v6 Same mistake. Help me. thanks

Error FAILURE: Build failed with an exception.

  • What went wrong: Execution failed for task ':app:checkDebugAarMetadata'.

Could not resolve all files for configuration ':app:debugRuntimeClasspath'. Failed to transform react-native-reanimated-66-jsc.aar (project :react-native-reanimated) to match attributes {artifactType=android-aar-metadata}. > Execution failed for JetifyTransform: E:\3.CODE_ICT\1.CODE_MOBILE\MSmartEVN\node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar. > Transform's input file does not exist: E:\3.CODE_ICT\1.CODE_MOBILE\MSmartEVN\node_modules\react-native-reanimated\android\react-native-reanimated-66-jsc.aar. (See https://issuetracker.google.com/issues/158753935)

Expected behavior

Use React native 0.66 and Drawer Navigator v6

Reproduction

localhost

Platform

  • Android
  • iOS
  • Web
  • Windows
  • MacOS

Packages

Environment

package version
@react-navigation/native
@react-navigation/bottom-tabs
@react-navigation/drawer
@react-navigation/material-bottom-tabs
@react-navigation/material-top-tabs
@react-navigation/stack
@react-navigation/native-stack
react-native-safe-area-context
react-native-screens
react-native-gesture-handler
react-native-reanimated
react-native-tab-view
react-native-pager-view
react-native
expo
node
npm or yarn
Sep
19
2 months ago
started
started time in 2 months ago
Activity icon
fork

longtqdayma forked facebook/react-native

⚡ A framework for building native applications using React
longtqdayma Updated
fork time in 2 months ago
started
started time in 2 months ago
started
started time in 2 months ago
Activity icon
fork

longtqdayma forked flutter/flutter

⚡ Flutter makes it easy and fast to build beautiful apps for mobile and beyond.
longtqdayma BSD 3-Clause "New" or "Revised" License Updated
fork time in 2 months ago
started
started time in 2 months ago